// QMI_NMEADlg.h : header file
//

#pragma once
#include "afxwin.h"
#include <GobiAPI.h>


// CQMI_NMEADlg dialog
class CQMI_NMEADlg : public CDialog
{
// Construction
public:
	CQMI_NMEADlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_QMI_NMEA_DIALOG };


	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// Implementation
protected:
	HICON m_hIcon;
	UINT_PTR m_DeviceSearchTimer;

	BOOL DeviceSearch();

	// Generated message map functions
	virtual BOOL OnInitDialog();
#if defined(_DEVICE_RESOLUTION_AWARE) && !defined(WIN32_PLATFORM_WFSP)
	afx_msg void OnSize(UINT /*nType*/, int /*cx*/, int /*cy*/);
#endif
	DECLARE_MESSAGE_MAP()
public:
	CEdit m_editStatus;
	CButton btnStart;
	CButton btnStop;
	CListBox lstNMEA;
	virtual void OnCancel();
	virtual void OnOK();
	afx_msg void OnBnClickedStart();
	afx_msg void OnBnClickedStop();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg LRESULT OnNotifDeviceRemoval(WPARAM wParam, LPARAM lParam);
	afx_msg LRESULT OnWM_NMEA(WPARAM wParam, LPARAM lParam);
	afx_msg void OnBnClickedClear();
};
